For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a theft report

This service can be used to report a vehicle as stolen.

When a vehicle is reported stolen, it triggers an active search for the iBeacon identifier associated with this vehicle. Every detection of the searched iBeacon will be captured, and its location information transmitted to the client's push service.

If you have your admin API key, you can try the API via this link.

Create a theft report

post
Authorizations
DriveKit-Admin-API-KeystringRequired
Header parameters
DriveKit-Admin-API-KeystringRequired

Drivekit Admin API key

Body
uuidstring · uuidRequired

The unique identifier of the beacon associated with the vehicle to be reported as stolen.

majorinteger · max: 65535Required

The major value of the iBeacon

minorinteger · max: 65535Required

The minor value of the iBeacon

theftReportDatestring · date-timeRequired

The date and time when the vehicle was reported as stolen, in ISO 8601 format.

Example: 2026-04-15T13:31:52.974754+02:00
Responses
200

Report created successfully

application/json
idstringOptional

The unique identifier of the stolen vehicle report

requestDatestring · date-timeOptional

The date and time when the report was created, in ISO 8601 format

Example: 2026-04-24T14:50:40.407+00:00
theftReportDatestring · date-timeOptional

The date and time when the vehicle was reported as stolen, in ISO 8601 format

Example: 2026-04-23T21:55:09.954+00:00
theftReportClosingDatestring · date-timeOptional

The date and time when the theft report was closed, in ISO 8601 format

Example: 2026-05-23T21:55:09.954+00:00
statusstring · enumOptional

The status of the theft report

Possible values:
post
/drivekit/admin/beacon/report

Request body

The table below summarizes the content of the request body.

Field
Format
Descriptio

uuid

string

iBeacon UUID.

major

integer

iBeacon major identifier

minor

integer

iBeacon minor identifier

theftReportDate

string

Date at which the theft was reported to the authorities.

Date format: YYYY-MM-dd’T’HH:mm:ss.SSSZ

The UUID must follow the standard format defined by Apple for iBeacon proximity regions: xxxxxxxx‑xxxx‑xxxx‑xxxx‑xxxxxxxxxxxx (8‑4‑4‑4‑12 hexadecimal characters, separated by hyphens). See Apple's CLBeacon.uuid documentation for details.

Sample request body

Response body

The table below summarizes the content of the response body.

Field
Format
Descriptio

id

string

Unique identifier of the theft report

beacon

object

Beacon information.

See Beacon

requestDate

string

Date at which the theft was reported on DriveQuant platform. Date format: YYYY-MM-dd’T’HH:mm:ss.SSSZ

theftReportDate

string

Date at which the theft was reported to the authorities.

Date format: YYYY-MM-dd’T’HH:mm:ss.SSSZ

theftReportClosingDate

string

Date at which the theft report expires.

Date format: YYYY-MM-dd’T’HH:mm:ss.SSSZ

status

string

Status of the report. Allowed values: ACTIVE, EXPIRED, CANCELED

Beacon

The table below summarizes the content of the Beacon object.

Field
Format
Descriptio

uuid

string

iBeacon UUID

major

integer

iBeacon major identifier

minor

integer

iBeacon minor identifier

Last updated

Was this helpful?